<?php

$atThread = "369153"; //номер треда

while(true){

// Картинки
    $dir       = 'img2/'; // папка с картинками
    $files     = scandir($dir);
    $randimage = rand(1, 640); //второе число - кол-во картинок в папке 'img'


// Атакуемый тред (ссылки на посты)
    $thread2 = file_get_contents('https://brchan.org/rus/res/'.$atThread.'.json');

// Получение ссылок 
    $thread_json_links = json_decode($thread2, true);
    $postNumber2      = $thread_json_links['posts'];
    $postNumber2      = array_slice($postNumber2, -5, 5, true); // ссылки на последние 5 постов в треде
    $postNumber1      = $postNumber2[array_rand($postNumber2)];
    $postNumber       = $postNumber1['no'];

// Посты
    $f_contents = file("text.txt");
    $line = $f_contents[array_rand($f_contents)];
    $postMessage = $line;

// Данные
    $postData['board']   = "rus"; // доска
    $postData['post'] = "New Reply";
    $postData['thread']  = $atThread; // номер треда
    $postData['body'] = '>>'.$postNumber."\n".$postMessage; // сообщение
   # $postData['body'] = $postMessage;
    $postData['file'] = '@img2/' . $files[$randimage]; // постинг картинок
    #$postData['image']   = '@rp/' . $files[$randimage]; // картинок нет
    #$postData['email'] = ''; // сажи нет
    $postData['email']   = ''; // фиксированная сажа
    $postData['name']    = ''; // аноним/трипкод
    $postData['subject'] = ''; // поле темы
    $postData['password'] = "asylum";
    $postData['json_response'] = "1";
    
// инициализация cUrl
    $ch = curl_init();
// referer
    curl_setopt($ch, CURLOPT_REFERER, "https://brchan.org/rus/res/$atThread.html");    
    curl_setopt($ch,CURLOPT_USERAGENT,'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13');

    $url = 'http://brchan.org/post.php';
    
// Куда отправим
    curl_setopt($ch, CURLOPT_URL, $url);
    
// Отправка
    curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
    
// Ответ сервера
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    
// Отладка
    curl_setopt($ch, CURLOPT_VERBOSE, true);
    
// Отправка запроса
    $response = curl_exec($ch);
    
// Отладка
    echo "\n" . $response;
    
// Таймаут для одного потока
    
    sleep(1);
}
?>
